USB_DEREGISTER_DEV(9)

NAME
usb_deregister_dev - deregister a USB device's dynamic minor.

SYNOPSIS

void usb_deregister_dev (struct usb_interface * intf, struct usb_class_driver * class_driver);

ARGUMENTS

intf
    pointer to the usb_interface that is being deregistered

class_driver
    pointer to the usb_class_driver for this device

DESCRIPTION

Used in conjunction with usb_register_dev. This function is called when the USB driver is finished with the minor numbers gotten from a call to usb_register_dev (usually when the device is disconnected from the system.)

This function also removes the usb class device from the sysfs tree.

This should be called by all drivers that use the USB major number.